org.eclnt.jsfserver.elements.componentnodes

## Class ROWWORKPAGECONTAINERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWWORKPAGECONTAINERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWWORKPAGECONTAINERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWWORKPAGECONTAINERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWWORKPAGECONTAINERNode` | `bindAnimatestepcount(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindAnimationtype(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindBorder(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindHotkeyisolation(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindPadding(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindWpcloseimage(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindWppopupimage(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `bindWppopupmenu(IDynamicContentBindingObject value)`
    `ROWWORKPAGECONTAINERNode` | `setAnimatestepcount(int value)`
    `ROWWORKPAGECONTAINERNode` | `setAnimatestepcount(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setAnimationtype(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setBorder(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setComment(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setConfiginfo(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setDroprastertext(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setDropreceive(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setDropshape(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setHotkeyisolation(boolean value)`
    `ROWWORKPAGECONTAINERNode` | `setHotkeyisolation(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setId(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setObjectbinding(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setPadding(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setRendered(boolean value)`
    `ROWWORKPAGECONTAINERNode` | `setRendered(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setStylevariant(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setWpcloseimage(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setWppopupimage(java.lang.String value)`
    `ROWWORKPAGECONTAINERNode` | `setWppopupmenu(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWWORKPAGECONTAINERNode

          public ROWWORKPAGECONTAINERNode()

  - ### Method Detail

    - #### setId

          public ROWWORKPAGECONTAINERNode setId(java.lang.String value)

    - #### setAnimatestepcount

          public ROWWORKPAGECONTAINERNode setAnimatestepcount(java.lang.String value)

    - #### bindAnimatestepcount

          public ROWWORKPAGECONTAINERNode bindAnimatestepcount(IDynamicContentBindingObject value)

    - #### setAnimatestepcount

          public ROWWORKPAGECONTAINERNode setAnimatestepcount(int value)

    - #### setAnimationtype

          public ROWWORKPAGECONTAINERNode setAnimationtype(java.lang.String value)

    - #### bindAnimationtype

          public ROWWORKPAGECONTAINERNode bindAnimationtype(IDynamicContentBindingObject value)

    - #### setBorder

          public ROWWORKPAGECONTAINERNode setBorder(java.lang.String value)

    - #### bindBorder

          public ROWWORKPAGECONTAINERNode bindBorder(IDynamicContentBindingObject value)

    - #### setComment

          public ROWWORKPAGECONTAINERNode setComment(java.lang.String value)

    - #### bindComment

          public ROWWORKPAGECONTAINERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWWORKPAGECONTAINERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWWORKPAGECONTAINERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public ROWWORKPAGECONTAINERNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public ROWWORKPAGECONTAINERNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public ROWWORKPAGECONTAINERNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public ROWWORKPAGECONTAINERNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public ROWWORKPAGECONTAINERNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public ROWWORKPAGECONTAINERNode bindDropshape(IDynamicContentBindingObject value)

    - #### setHotkeyisolation

          public ROWWORKPAGECONTAINERNode setHotkeyisolation(java.lang.String value)

    - #### bindHotkeyisolation

          public ROWWORKPAGECONTAINERNode bindHotkeyisolation(IDynamicContentBindingObject value)

    - #### setHotkeyisolation

          public ROWWORKPAGECONTAINERNode setHotkeyisolation(boolean value)

    - #### setObjectbinding

          public ROWWORKPAGECONTAINERNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWWORKPAGECONTAINERNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setPadding

          public ROWWORKPAGECONTAINERNode setPadding(java.lang.String value)

    - #### bindPadding

          public ROWWORKPAGECONTAINERNode bindPadding(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPAGECONTAINERNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWWORKPAGECONTAINERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPAGECONTAINERNode setRendered(boolean value)

    - #### setStylevariant

          public ROWWORKPAGECONTAINERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWWORKPAGECONTAINERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWpcloseimage

          public ROWWORKPAGECONTAINERNode setWpcloseimage(java.lang.String value)

    - #### bindWpcloseimage

          public ROWWORKPAGECONTAINERNode bindWpcloseimage(IDynamicContentBindingObject value)

    - #### setWppopupimage

          public ROWWORKPAGECONTAINERNode setWppopupimage(java.lang.String value)

    - #### bindWppopupimage

          public ROWWORKPAGECONTAINERNode bindWppopupimage(IDynamicContentBindingObject value)

    - #### setWppopupmenu

          public ROWWORKPAGECONTAINERNode setWppopupmenu(java.lang.String value)

    - #### bindWppopupmenu

          public ROWWORKPAGECONTAINERNode bindWppopupmenu(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.